/*
 *  LRScriptConsoleGroovy.java
 *
 *  Copyright (c) 2007-, 
 *    Austrian Research Institute for Aritificial Intelligence (OFAI)
 *
 *  Johann Petrak, 2007-06-23
 *
 *  $Id: LRScriptConsoleGroovy.java  $
 *
 */

package at.ofai.gate.scripting;

import java.io.File;
import java.io.FileReader;
import java.util.*;
import javax.script.*;
import java.io.*;

import gate.*;
import gate.creole.ResourceInstantiationException;

public class LRScriptConsoleGroovy extends LRScriptConsole {

  /** Initialise this resource, and return it. */
  @Override
  public Resource init() throws ResourceInstantiationException {
    
    // try to instantiate a groovy scripting engine
    try {
      scriptLanguage = "groovy";
      initEngine();
      File initFile = new File(initDir,"init.groovy"); 
      scriptEngine.eval(new FileReader(initFile));
    }
    catch(Exception e) {
      throw new ResourceInstantiationException(e);
    }

    return this;
  } // init()


}