/*
 *  LRScriptConsoleJython.java
 *
 *  Copyright (c) 2007-, 
 *    Austrian Research Institute for Aritificial Intelligence (OFAI)
 *
 *  Johann Petrak, 2007-06-23
 *
 *  $Id: LRScriptConsoleJython.java  $
 *
 */

package at.ofai.gate.scripting;

import java.util.*;
import javax.script.*;
import java.io.*;

import gate.*;
import gate.creole.ResourceInstantiationException;

public class LRScriptConsoleJython extends LRScriptConsole {

  /** Initialise this resource, and return it. */
  public Resource init() throws ResourceInstantiationException {
    
    // try to instantiate a JRuby scripting engine
    try {
      scriptLanguage = "jython";
      initEngine();
      File initFile = new File(initDir,"init.jython"); 
      scriptEngine.eval(new FileReader(initFile));
    }
    catch(Exception e) {
      throw new ResourceInstantiationException(e);
    }

    return this;
  } // init()


}