/*
 * PRScriptingJRuby.java
 * 
 * Copyright (c) 2006, 2007, Austrian Research Institute for Artificial Intelligence 
 *
 * Johann Petrak, 2007-06-24
 *
 *  $Id: PRScriptingJRuby.java  $
 *
 */
package at.ofai.gate.scripting;

import java.util.*;
import javax.script.*;
import java.io.*;

import gate.*;
import gate.creole.*;
import gate.event.*;
import gate.util.*;

/** JRuby scripting engine for PR  
 *  
 *  @author Johann Petrak
 */

public class PRScriptingJRuby
    extends PRScripting {

  
  
  @Override
  public Resource init() throws ResourceInstantiationException {
    scriptLanguage = "jruby";
    callStartupCorpus = "startupCorpus()";
    callShutdownCorpus = "shutdownCorpus()";
    callProcessDocument = "processDocument()";
    initEngine();
    return this;
  }
  

} // PRScriptingJRuby

