Gate = gate.Gate
Factory = gate.Factory
LRScriptConsole = at.ofai.gate.scripting.LRScriptConsole


def getNamed(name,classname) {
  LRScriptConsole.getNamed(name,classname)
}

def getCorpus(name) {
  LRScriptConsole.getCorpus(name)
}

def getDocument(name) {
  LRScriptConsole.getDocument(name)
}

def getController(name) {
  LRScriptConsole.getController(name)
}

def openDataStore(dir) {
  Factory.openDataStore("gate.persist.SerialDataStore",dir)
}

def newCorpus(name) {
  Factory.newCorpus(name)
}

def newDocument(name) {
  parms = Factory.newFeatureMap()
  feats = Factory.newFeatureMap()
  d = Factory.createResource("gate.corpora.DocumentImpl",parms,feats,name)
}

def loadDocument(file) {
  Factory.newDocument(new java.net.URL("file:/"+file))
}

println "init.groovy loaded"
