/*
 * PRScriptingJavascript.java
 * 
 * Copyright (c) 2006, 2007, Austrian Research Institute for Artificial Intelligence 
 *
 * Johann Petrak, 2007-06-24
 *
 *  $Id: PRScriptingJavascript.java  $
 *
 */
package at.ofai.gate.scripting;

import java.io.File;
import java.io.FileReader;
import java.io.InputStream;
import java.net.URL;
import java.util.*;
import javax.script.*;
import java.io.*;

import gate.*;
import gate.creole.*;
import gate.event.*;
import gate.util.*;

/** Javascript scripting engine for PR  
 *  
 *  @author Johann Petrak
 */

public class PRScriptingJavascript
    extends PRScripting {

  
  
  public Resource init() throws ResourceInstantiationException {
    scriptLanguage = "javascript";
    callStartupCorpus = "startupCorpus()";
    callShutdownCorpus = "shutdownCorpus()";
    callProcessDocument = "processDocument()";
    initEngine();
    return this;
  }
  

} // PRScriptingJavascript

